<?php
/**
 * @package news_on_the_web
 * @version 1.1.1
 */
/*
Plugin Name: news_on_the_web
Plugin URI: https://news-on-the-web.com/wordpress/plugin/news_on_the_web.zip
Description: This plugin add images to the /feed URL of the site (RSS FEED).
Author: Fabien LE BRUN de CHARMETTES - News on the Web (by QUASTER SASU)
Version: 1.1.1
Author URI: https://news-on-the-web.com
*/
/*
/** ADD IMAGE TO RSS FEED */
// insert the image object into the RSS item
add_filter('rss2_item', function(){
  global $post;
  if (has_post_thumbnail($post->ID)){
    $thumbnail_ID = get_post_thumbnail_id($post->ID);
    $thumbnail = wp_get_attachment_image_src($thumbnail_ID, 'medium');
    if (is_array($thumbnail)) {
      echo '<media:content medium="image" url="' . $thumbnail[0]
        . '" width="' . $thumbnail[1] . '" height="' . $thumbnail[2] . '" />';
    }
  }
});

